Package org.gradle.jvm.application.scripts

# Interface JavaAppStartScriptGenerationDetails

@Incubating public interface JavaAppStartScriptGenerationDetails
Details for generating Java-based application start scripts.

## Method Summary

Modifier and Type
Method
Description
`String`
`getApplicationName()`
The display name of the application
`String`
`getAppNameSystemProperty()`
This system property to use to pass the script name to the application.
`List<String>`
`getClasspath()`
The classpath, relative to the application home directory.
`List<String>`
`getDefaultJvmOpts()`
`String`
`getExitEnvironmentVar()`
The environment variable to use to control exit value (windows only)
`String`
`getMainClassName()`
`String`
`getOptsEnvironmentVar()`
The environment variable to use to provide additional options to the JVM
`String`
`getScriptRelPath()`
The path of the script, relative to the application home directory.

## Method Details

### getApplicationName

String getApplicationName()
The display name of the application

### getOptsEnvironmentVar

String getOptsEnvironmentVar()
The environment variable to use to provide additional options to the JVM

### getExitEnvironmentVar

String getExitEnvironmentVar()
The environment variable to use to control exit value (windows only)

### getMainClassName

String getMainClassName()

### getDefaultJvmOpts

List<String> getDefaultJvmOpts()

### getClasspath

List<String> getClasspath()
The classpath, relative to the application home directory.

### getScriptRelPath

String getScriptRelPath()
The path of the script, relative to the application home directory.

### getAppNameSystemProperty

String getAppNameSystemProperty()
This system property to use to pass the script name to the application. May be null.